Package be.fgov.ehealth.genericinsurability.core.v1

# Class InsurabilityListType

java.lang.Object
be.fgov.ehealth.genericinsurability.core.v1.InsurabilityListType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public class InsurabilityListType extends Object implements Serializable

Java class for InsurabilityListType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsurabilityListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InsurabilityItem" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}InsurabilityItemType" maxOccurs="5" minOccurs="0"/>
           </sequence>
           <attribute name="Truncated" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsurabilityListType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<InsurabilityItemType>`
  `getInsurabilityItems()`
  And insurability item.
  `Boolean`
  `isTruncated()`
  Gets the value of the truncated property.
  `void`
  `setTruncated(Boolean value)`
  Sets the value of the truncated property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InsurabilityListType

    public InsurabilityListType()

- ## Method Details

  - ### getInsurabilityItems

    public List<InsurabilityItemType> getInsurabilityItems()
    And insurability item. Gets the value of the insurabilityItems property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the insurabilityItems property.

    For example, to add a new item, do as follows:

         getInsurabilityItems().add(newItem);

    Objects of the following type(s) are allowed in the list `InsurabilityItemType`

    Returns:
      The value of the insurabilityItems property.

  - ### isTruncated

    public Boolean isTruncated()
    Gets the value of the truncated property.
    Returns:
      possible object is `Boolean`

  - ### setTruncated

    public void setTruncated(Boolean value)
    Sets the value of the truncated property.
    Parameters:
      `value` - allowed object is `Boolean`